# ImportConfigurationFile (ARX API Documentation)

org.deidentifier.arx.io

## Class ImportConfigurationFile

- java.lang.Object
- - org.deidentifier.arx.io.ImportConfiguration
  - - org.deidentifier.arx.io.ImportConfigurationFile

- Direct Known Subclasses:
    ImportConfigurationCSV, ImportConfigurationExcel

      public abstract class ImportConfigurationFile
      extends ImportConfiguration

  Configuration describing a file in general File based configurations should extend this class as the notion of a `fileLocation` is common to all of them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportConfigurationFile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileLocation()`
    `void` | `setFileLocation(java.lang.String fileLocation)`

    - ### Methods inherited from class org.deidentifier.arx.io.ImportConfiguration

      `addColumn, getColumns`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportConfigurationFile

          public ImportConfigurationFile()

  - ### Method Detail

    - #### getFileLocation

          public java.lang.String getFileLocation()

      Returns:
        `fileLocation`

    - #### setFileLocation

          public void setFileLocation(java.lang.String fileLocation)

      Parameters:
        `fileLocation` - `fileLocation`